Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class DanglingObjectAVCleanupAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent
                      oracle.ifs.core.agents.DanglingObjectAVCleanupAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class DanglingObjectAVCleanupAgent

extends BaseAgent

A DanglingObjectAVCleanupAgent cleans up dangling object type attribute references

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `BATCH_SIZE`
`static java.lang.String` | `DANGLINGCOUNTCUMULATIVE`
`static java.lang.String` | `DANGLINGCOUNTLASTACTIVATION`
`static java.lang.String` | `EXCLUDEDATTRIBUTES`
`protected int` | `m_DanglingRowsCumulative` The number of dangling rows this agent cleared since starting
`protected int` | `m_DanglingRowsLastActivation` The number of dangling rows this Agent cleared during its most-recent activation.

Fields inherited from class oracle.ifs.core.agents.BaseAgent
`ERROR_COUNT_CUMULATIVE, ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`DanglingObjectAVCleanupAgent()` Constructs the DanglingObjectAVCleanupAgent.

Method Summary
`protected void` | `activate()` Perform garbage collection.
`void` | `initialize()` Register detailed status information into our ServerDetail.
`void` | `initOnRun()` Runs this DanglingObjectAVCleanupAgent.
`static void` | `main(java.lang.String[] args)` This is used to run the server in the standalone mode.
`void` | `preRun()` Read in properties from property table.

Methods inherited from class oracle.ifs.core.agents.BaseAgent
`addToProperty, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, incrementProperty, isAgent, postRun, publishProperty, run, standardPostRun, supportsSuspendResume`

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCLUDEDATTRIBUTES

    public static final java.lang.String EXCLUDEDATTRIBUTES

See Also:
  Constant Field Values

### BATCH_SIZE

    public static final java.lang.String BATCH_SIZE

See Also:
  Constant Field Values

### DANGLINGCOUNTCUMULATIVE

    public static final java.lang.String DANGLINGCOUNTCUMULATIVE

See Also:
  Constant Field Values

### DANGLINGCOUNTLASTACTIVATION

    public static final java.lang.String DANGLINGCOUNTLASTACTIVATION

See Also:
  Constant Field Values

### m_DanglingRowsLastActivation

    protected int m_DanglingRowsLastActivation

  Description copied from class: `DanglingObjectAVCleanupAgent`
  The number of dangling rows this Agent cleared during its most-recent activation.

  (Unpublished)

### m_DanglingRowsCumulative

    protected int m_DanglingRowsCumulative

  Description copied from class: `DanglingObjectAVCleanupAgent`
  The number of dangling rows this agent cleared since starting

  (Unpublished)

Constructor Detail

### DanglingObjectAVCleanupAgent

    public DanglingObjectAVCleanupAgent()
                                 throws IfsException

  Constructs the DanglingObjectAVCleanupAgent.

  Throws:
    `IfsException` - (IFS-46000) if the operation fails
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `DanglingObjectAVCleanupAgent`
  This is used to run the server in the standalone mode.

  Throws:
    `java.lang.Exception`

### initOnRun

    public void initOnRun()
                   throws java.lang.Exception

  Description copied from class: `DanglingObjectAVCleanupAgent`
  Runs this DanglingObjectAVCleanupAgent.

  Overrides:
    `initOnRun` in class `BaseAgent`
  Throws:
    `java.lang.Exception`
  (Unpublished)

### preRun

    public void preRun()
                throws java.lang.Exception

  Description copied from class: `DanglingObjectAVCleanupAgent`
  Read in properties from property table.

  Overrides:
    `preRun` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `DanglingObjectAVCleanupAgent`
  Register detailed status information into our ServerDetail. This is called automatically from within register() after a successful registration. The implementation in IfsAgent publishes the status and priority information; subclasses will often extend this to publish other agent information.

  Overrides:
    `initialize` in class `BaseAgent`
  Throws:
    `IfsException` - (IFS-46xxx) if the operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `DanglingObjectAVCleanupAgent`
  Perform garbage collection.

  Overrides:
    `activate` in class `BaseAgent`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD